JAXWSAConstants (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.ws.addressing, class: JAXWSAConstants

Package org.apache.cxf.ws.addressing

# Class JAXWSAConstants

java.lang.Object
org.apache.cxf.ws.addressing.JAXWSAConstants

public final class JAXWSAConstants extends Object
A container for WS-Addressing constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ADDRESSING_PROPERTIES_INBOUND`
  Well-known Property names for AddressingProperties in Handler Context.
  `static final String`
  `ADDRESSING_PROPERTIES_OUTBOUND`
  `static final String`
  `CLIENT_ADDRESSING_PROPERTIES`
  Well-known Property names for AddressingProperties in BindingProvider Context.
  `static final String`
  `CLIENT_ADDRESSING_PROPERTIES_INBOUND`
  Deprecated.
  `static final String`
  `CLIENT_ADDRESSING_PROPERTIES_OUTBOUND`
  Deprecated.
  `static final String`
  `NS_WSA`
  `static final String`
  `NS_WSAM`
  `static final String`
  `NS_WSAW`
  `static final String`
  `NS_WSDLI`
  `static final String`
  `SERVER_ADDRESSING_PROPERTIES_INBOUND`
  Deprecated.
  `static final String`
  `SERVER_ADDRESSING_PROPERTIES_OUTBOUND`
  Deprecated.
  `static final String`
  `WSA_ADDRESS_NAME`
  `static final String`
  `WSA_ERF_NAME`
  `static final String`
  `WSA_METADATA_NAME`
  `static final String`
  `WSA_PREFIX`
  `static final String`
  `WSA_REFERENCEPARAMETERS_NAME`
  `static final String`
  `WSA_XSD`
  `static final QName`
  `WSAM_ACTION_QNAME`
  `static final String`
  `WSAM_ENDPOINT_NAME`
  `static final String`
  `WSAM_INTERFACE_NAME`
  `static final String`
  `WSAM_PREFIX`
  `static final String`
  `WSAM_SERVICENAME_NAME`
  `static final QName`
  `WSAW_ACTION_QNAME`
  `static final String`
  `WSAW_PREFIX`
  `static final QName`
  `WSAW_USINGADDRESSING_QNAME`
  `static final String`
  `WSDLI_PFX`
  `static final String`
  `WSDLI_WSDLLOCATION`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WSAW_PREFIX

    public static final String WSAW_PREFIX
    See Also:
      - Constant Field Values

  - ### NS_WSAW

    public static final String NS_WSAW
    See Also:
      - Constant Field Values

  - ### WSAM_PREFIX

    public static final String WSAM_PREFIX
    See Also:
      - Constant Field Values

  - ### NS_WSAM

    public static final String NS_WSAM
    See Also:
      - Constant Field Values

  - ### WSAW_ACTION_QNAME

    public static final QName WSAW_ACTION_QNAME

  - ### WSAM_ACTION_QNAME

    public static final QName WSAM_ACTION_QNAME

  - ### WSAW_USINGADDRESSING_QNAME

    public static final QName WSAW_USINGADDRESSING_QNAME

  - ### NS_WSA

    public static final String NS_WSA
    See Also:
      - Constant Field Values

  - ### WSA_PREFIX

    public static final String WSA_PREFIX
    See Also:
      - Constant Field Values

  - ### WSA_XSD

    public static final String WSA_XSD
    See Also:
      - Constant Field Values

  - ### WSA_ERF_NAME

    public static final String WSA_ERF_NAME
    See Also:
      - Constant Field Values

  - ### WSA_REFERENCEPARAMETERS_NAME

    public static final String WSA_REFERENCEPARAMETERS_NAME
    See Also:
      - Constant Field Values

  - ### WSA_METADATA_NAME

    public static final String WSA_METADATA_NAME
    See Also:
      - Constant Field Values

  - ### WSA_ADDRESS_NAME

    public static final String WSA_ADDRESS_NAME
    See Also:
      - Constant Field Values

  - ### WSAM_SERVICENAME_NAME

    public static final String WSAM_SERVICENAME_NAME
    See Also:
      - Constant Field Values

  - ### WSAM_INTERFACE_NAME

    public static final String WSAM_INTERFACE_NAME
    See Also:
      - Constant Field Values

  - ### WSAM_ENDPOINT_NAME

    public static final String WSAM_ENDPOINT_NAME
    See Also:
      - Constant Field Values

  - ### WSDLI_PFX

    public static final String WSDLI_PFX
    See Also:
      - Constant Field Values

  - ### WSDLI_WSDLLOCATION

    public static final String WSDLI_WSDLLOCATION
    See Also:
      - Constant Field Values

  - ### NS_WSDLI

    public static final String NS_WSDLI
    See Also:
      - Constant Field Values

  - ### CLIENT_ADDRESSING_PROPERTIES

    public static final String CLIENT_ADDRESSING_PROPERTIES
    Well-known Property names for AddressingProperties in BindingProvider Context.
    See Also:
      - Constant Field Values

  - ### ADDRESSING_PROPERTIES_INBOUND

    public static final String ADDRESSING_PROPERTIES_INBOUND
    Well-known Property names for AddressingProperties in Handler Context.
    See Also:
      - Constant Field Values

  - ### ADDRESSING_PROPERTIES_OUTBOUND

    public static final String ADDRESSING_PROPERTIES_OUTBOUND
    See Also:
      - Constant Field Values

  - ### CLIENT_ADDRESSING_PROPERTIES_INBOUND

    @Deprecated public static final String CLIENT_ADDRESSING_PROPERTIES_INBOUND
    Deprecated.
    See Also:
      - Constant Field Values

  - ### CLIENT_ADDRESSING_PROPERTIES_OUTBOUND

    @Deprecated public static final String CLIENT_ADDRESSING_PROPERTIES_OUTBOUND
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SERVER_ADDRESSING_PROPERTIES_INBOUND

    @Deprecated public static final String SERVER_ADDRESSING_PROPERTIES_INBOUND
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SERVER_ADDRESSING_PROPERTIES_OUTBOUND

    @Deprecated public static final String SERVER_ADDRESSING_PROPERTIES_OUTBOUND
    Deprecated.
    See Also:
      - Constant Field Values